Anonymous Login
2018-12-15 13:34 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001556OpenClonkScenariospublic2017-12-23 10:48
Reporterala 
Assigned ToClonkonaut 
PrioritylowSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target Version8.0Fixed in Version8.0 
Summary0001556: Rock Bottom: Balance weapon choices
DescriptionSword is too powerful as a start weapon I propose the following:
-Making the weaker weapons a weapon set instead.

So for example instead of dynamite, you would pick a set of items including 2 bombs and another item, like a dynamite box or a shield.
Same for the flint choice (could be paired with a lantern), and the musket (paired with a shield maybe?).
Additional InformationPlayed with RC3
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0004575

Maikel (developer)

Agreed, although lantern is pretty useless since there is so much water.

~0005854

Clonkonaut (developer)

What about always getting a sword and then select one additional weapon?

~0005864

ala (developer)

In that case it would probably just become a sword click fest I guess. It just is the principal weapon in close range situations.

~0005865

Clonkonaut (developer)

Well, if it is the best option anyway, why would any player ever pick something else? Except when you are not playing to win.

The sword is always available from the weapon chooser. If choosing anything beside the sword is a wrong choice, then we shouldn't set this trap. Just give the people a sword. Or no sword at all in that scenario. Which probably doesn't make it more fun.

~0005957

occ (reporter)

Hi! There's been a check-in that references this bug. For more information you can visit the repository browser at this address:
https://git.openclonk.org/openclonk.git/commitdiff/ec77fe8744b46503812295e37b2e9f2ca6904a3d

Changeset ec77fe8 by Lukas Werling <lukas.werling@gmail.com>
Rock Bottom: Always start with a sword (0001556)

~0005958

Luchs (administrator)

I "resolved" this by giving everyone a sword like Clonkonaut suggested. I still don't think it's a well-balanced scenario, but whatever.
+Notes

-Issue History
Date Modified Username Field Change
2016-01-10 11:18 ala New Issue
2016-01-10 11:22 ala Target Version 8.0 => 7.1 (Bugfix update)
2016-01-13 09:16 Maikel Note Added: 0004575
2017-08-05 09:04 Maikel Target Version 7.1 (Bugfix update) => 8.0
2017-10-26 14:13 Clonkonaut Assigned To => Clonkonaut
2017-10-26 14:13 Clonkonaut Status new => feedback
2017-10-26 14:13 Clonkonaut Note Added: 0005854
2017-10-26 20:18 ala Note Added: 0005864
2017-10-26 20:18 ala Status feedback => assigned
2017-10-26 21:41 Clonkonaut Note Added: 0005865
2017-12-23 10:47 occ Note Added: 0005957
2017-12-23 10:48 Luchs Status assigned => resolved
2017-12-23 10:48 Luchs Resolution open => fixed
2017-12-23 10:48 Luchs Fixed in Version => 8.0
2017-12-23 10:48 Luchs Note Added: 0005958
+Issue History